## hello 2.5-1ubuntu1

=== debian/changelog ===
hello (2.5-1ubuntu1) jaunty; urgency=low

  * Initial release

 -- lian liang <lianglian@thunderst.com>  Thu, 08 Apr 2010 13:22:49 +0800

hello (2.5-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- lian liang <lianglian@thunderst.com>  Mon, 22 Feb 2010 15:15:49 +0800
