=== debian/control ===
Source: hello
Section: x11
Priority: optional
Maintainer: onfoot <zhongsc@thunderst.com>
Build-Depends: debhelper (>= 7), autotools-dev,libgtk2.0-dev
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: testh
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
