## hello 2.7

=== debian/changelog ===
hello (2.7-3) unstable; urgency=low

  * Get CFLAGS from dpkg-buildflags.
  * Drop -g as it's provided by dpkg-buildflags. Add -Wall as it's not.
  * Drop noopt handling, dpkg-buildflags already takes care of that.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2012 12:04:16 +0100

hello (2.7-2) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Standards-Version: 3.9.2.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2011 13:08:08 +0200

hello (2.7-1) unstable; urgency=low

  * New upstream release.
  * Use chown with numeric value 0 instead of "root".
  * Make package cross-buildable without binutils-multiarch.
    Thanks to Héctor Orón. Closes: #616444.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 15:37:44 +0200
