## hello 2.8

=== debian/changelog ===
hello (2.8-4) unstable; urgency=low

  * Added '-n' to all debian/rules gzip calls to help the build to be
    binary-reproducible. Closes: #719848.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Aug 2013 09:50:00 +0200

hello (2.8-3) unstable; urgency=low

  * Quote prefix in make install to fix FTBFS when there are spaces
    in the working directory. Closes: #696855. Thanks to Dmitrijs Ledkovs.

 -- Santiago Vila <sanvila@debian.org>  Wed, 13 Feb 2013 11:24:42 +0100

hello (2.8-2) unstable; urgency=low

  * Use `dpkg-buildflags` instead of $(shell dpkg-buildflags).
    Otherwise "export DEB_BUILD_MAINT_OPTIONS=foo", when needed, does not work.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Jun 2012 13:01:40 +0200

hello (2.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped patch 01-no-usr-share-info-dir-gz in favour of new environment
    variable AM_UPDATE_INFO_DIR supported by recent automake.
  * Build with hardened flags (added CPPFLAGS and LDFLAGS).
  * Put CFLAGS stuff in ./configure call, where they really belong.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 May 2012 23:23:00 +0200
