=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,16 @@
 package = hello
 docdir = debian/tmp/usr/share/doc/$(package)
 
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall
+CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
+LDFLAGS := `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
+
 STRIP = true
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+export AM_UPDATE_INFO_DIR = no
 
 # Recommended snippet for Autoconf 2.52 or later
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -30,8 +35,9 @@
 endif
 
 build:
-	./configure $(confflags) --prefix=/usr
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" $(confflags) --prefix=/usr
+	$(MAKE)
 	touch build
 
 clean:
@@ -47,14 +53,14 @@
 binary-arch: build
 	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)
-	$(MAKE) prefix=$$(pwd)/debian/tmp/usr install
+	$(MAKE) prefix="$$(pwd)/debian/tmp/usr" install
 	$(STRIP) debian/tmp/usr/bin/hello
 	cp -a NEWS debian/copyright $(docdir)
 	cp -a debian/changelog $(docdir)/changelog.Debian
 	cp -a ChangeLog $(docdir)/changelog
-	cd $(docdir) && gzip -9 changelog changelog.Debian
-	gzip -r9 debian/tmp/usr/share/man
-	gzip -9 debian/tmp/usr/share/info/*
+	cd $(docdir) && gzip -9n changelog changelog.Debian
+	gzip -r9n debian/tmp/usr/share/man
+	gzip -9n debian/tmp/usr/share/info/*
 	dpkg-shlibdeps debian/tmp/usr/bin/hello
 	dpkg-gencontrol
 	chown -R 0:0 debian/tmp
