## hello 2.9

=== debian/changelog ===
hello (2.9-2) unstable; urgency=low

  * Apply patch from Reuben Thomas to fix i18n of default message.
    This is upstream commit c4aed00. Closes: #767172.
  * The previous change in src/hello.c trigger a rebuild of man/hello.1
    that we don't need. Add a "touch man/hello.1" to avoid it.
  * Use Breaks: hello-debhelper (<< 2.9), not Conflicts,
    as hello-debhelper is deprecated.
  * Restore simple watch file from old hello package that was lost
    when the packages were renamed.
  * Update 99-config-guess-config-sub patch.

 -- Santiago Vila <sanvila@debian.org>  Thu, 06 Nov 2014 12:03:40 +0100

hello (2.9-1) unstable; urgency=low

  * New upstream release. Closes: #744195.
  * Source now contains README-dev. Closes: #621716.
  * Reworded short description.
  * Renamed source and binary from "hello-debhelper" to "hello".
  * The hello package will be renamed to "hello-traditional".
  * The file debian/rules is now the one using dh.
  * Added appropriate Conflicts/Replaces.
  * Raised priority to "optional".
  * Standards-Version: 3.9.5.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2014 15:23:26 +0200

hello-debhelper (2.8-1) unstable; urgency=low

  * New upstream release.
  * Increase debhelper compatibility level to 9.
  * Dropped CFLAGS stuff, debhelper already takes care of that.
  * Dropped dh_auto_clean as it does no longer work. Just make distclean
    if there is a Makefile. Added override_dh_auto_clean to dh version.
  * Dropped patch 01-no-usr-share-info-dir-gz. No longer needed
    when using debhelper >= 9.20120311 with a source package created
    with a recent automake which supports AM_UPDATE_INFO_DIR.
  * Updated Build-Depends accordingly.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 May 2012 23:28:00 +0200

hello-debhelper (2.7-3) unstable; urgency=low

  * Get CFLAGS from dpkg-buildflags.
  * Drop -g as it's provided by dpkg-buildflags. Add -Wall as it's not.
  * Drop noopt handling, dpkg-buildflags already takes care of that.
  * Added "dh_installdocs NEWS" to dh version to sync with non-dh one.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2012 12:13:16 +0100

hello-debhelper (2.7-2) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Standards-Version: 3.9.2.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2011 13:15:26 +0200

hello-debhelper (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 15:55:06 +0200

hello-debhelper (2.6-2) unstable; urgency=medium

  * Use debhelper compatibility level 8, the new recommended mode.

 -- Santiago Vila <sanvila@debian.org>  Wed, 18 Aug 2010 16:20:38 +0200

hello-debhelper (2.6-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. Closes: #574878.
  * Added a note to debian/rules about the new dh syntax.
  * Standards-Version: 3.9.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Fri, 06 Aug 2010 22:05:00 +0200

hello-debhelper (2.5-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Added cross-compilation support, using the new dh_auto_* commands
    from debhelper 7. Thanks a lot to Colin Watson. Closes: #550328.
  * Standards-Version: 3.8.4 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 18:41:54 +0100

hello-debhelper (2.4-3) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 13:07:00 +0200

hello-debhelper (2.4-2) unstable; urgency=low

  * Handle info files using dh_installinfo and ${misc:Depends}.
  * Removed debian/prerm and debian/postinst, no longer needed.
  * Standards-Version: 3.8.3.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Aug 2009 17:08:00 +0200

hello-debhelper (2.4-1) unstable; urgency=low

  * New upstream release. Manual is back.
  * Standards-Version: 3.8.2 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2009 23:39:04 +0200

hello-debhelper (2.2-3) unstable; urgency=low

  * Run "make distclean" only if Makefile exists, but do not ignore errors.
  * Use debhelper compatibility level 7, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 17:15:38 +0100

hello-debhelper (2.2-2) unstable; urgency=low

  * Removed dh_testroot call, as it's not debian/rules job.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:09:00 +0200

hello-debhelper (2.2-1) unstable; urgency=low

  * New upstream release.
  * Repackaged source taken from hello package.
  * Removed prerm and postinst, as info files are missing now.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2006 17:00:14 +0100

hello-debhelper (2.1.1-4) unstable; urgency=low

  * Removed dh_testdir from debian/rules, as it is not very useful.
  * Standards-Version: 3.7.2 (no changes for this).
  * Updated config.guess and config.sub.
  * Use debhelper compatibility level 5, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Jul 2006 19:57:10 +0200

hello-debhelper (2.1.1-3) unstable; urgency=low

  * Created debian/compat with "4" as contents.
  * Build-Depends: debhelper (>= 4) accordingly.
  * Things are now installed in debian/hello-debhelper, not debian/tmp.
  * Updated config.guess and config.sub for GNU/K*BSD.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 16:45:52 +0100

hello-debhelper (2.1.1-2) unstable; urgency=low

  * The "Ockham's Razor" release.
  * Modified Makefile.in to make sure that install-info is never called
    during the build. This is a workaroud for an automake bug which makes
    packages to contain /usr/share/info/dir.gz.
  * Removed misleading comment at the top of debian/rules, this one is
    a complete rewrite, not a modification, from the hello debian/rules.

