=== debian/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.20120311)
 Homepage: http://www.gnu.org/software/hello/
 
 Package: hello
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
-Description: The classic greeting, and a good example
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: hello-traditional
+Replaces: hello-traditional, hello-debhelper (<< 2.9)
+Breaks: hello-debhelper (<< 2.9)
+Description: example package based on GNU hello
  The GNU hello program produces a familiar, friendly greeting.  It
  allows non-programmers to use a classic computer science tool which
  would otherwise be unavailable to them.
