=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9.20120311)
-Homepage: http://www.gnu.org/software/hello/
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), texinfo
+Homepage: https://www.gnu.org/software/hello/
+Vcs-Git: https://salsa.debian.org/sanvila/hello.git
+Vcs-Browser: https://salsa.debian.org/sanvila/hello
+Rules-Requires-Root: no
 
 Package: hello
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: hello-traditional
-Replaces: hello-traditional, hello-debhelper (<< 2.9)
+Replaces: hello-debhelper (<< 2.9), hello-traditional
 Breaks: hello-debhelper (<< 2.9)
 Description: example package based on GNU hello
  The GNU hello program produces a familiar, friendly greeting.  It
