=== debian/tests/control ===
Test-Command: hello

Tests: upstream
Depends: @, make
Restrictions: build-needed, rw-build-tree, allow-stderr
