## hello mysql

=== Makefile ===
TIME = /usr/bin/time -f "== Time: %E =="

all:
	@echo Use \"make build\" to build and \"make run\" to run

build: dumpc dumpp Dump.class

dumpc: main.c
	gcc -O2 -Wall -o dumpc main.c -lmysqlclient

dumpp: main.cc
	g++ -O2 -Wall -o dumpp main.cc -I/usr/include/mysql++ -I/usr/include/mysql -lmysqlpp

Dump.class: Dump.java
	javac Dump.java

run: build
	@echo === Running C ===
	@$(TIME) ./dumpc root
	@echo
	@echo === Running C++ ===
	@$(TIME) ./dumpp root
	@echo
	@echo === Running Java ===
	@$(TIME) java -cp /usr/share/java/mysql-connector-java.jar:. Dump root
	@echo
	@echo === Running Perl ===
	@$(TIME) ./dump.pl root
	@echo
	@echo === Running PHP ===
	@$(TIME) php dump.php root
	@echo
	@echo === Running Python ===
	@$(TIME) ./dump.py root
	@echo

clean:
	rm -f dumpc dumpp Dump.class
