## hello signal

=== Makefile ===
MODULES = hello_signal
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
