## hello syscall

=== Makefile ===
obj-m := hello.o
obj-y := test_call.o

KDIR := /lib/modules/4.2.0/build
PWD := $(shell pwd)

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean:
	rm -f *.ko *.o Module* *mod*
